grk::SparseBlock Struct Reference

`#include <SparseCanvas.h>`

## Public Member Functions

| SparseBlock (void)
| ~SparseBlock ()
void | alloc (uint32_t block_area, bool zeroOutBuffer)

## Public Attributes

int32_t * | data

## Constructor & Destructor Documentation

## SparseBlock()

grk::SparseBlock::SparseBlock | ( | void |  | ) |

inline

## ~SparseBlock()

grk::SparseBlock::~SparseBlock | ( |  | ) |

inline

References data.

## Member Function Documentation

## alloc()

void grk::SparseBlock::alloc | ( | uint32_t | block_area,
|  | bool | zeroOutBuffer
| ) |  |

inline

References data, and grk::grk_read().

## Member Data Documentation

## data

int32_t* grk::SparseBlock::data

Referenced by alloc(), and ~SparseBlock().

The documentation for this struct was generated from the following file:

- SparseCanvas.h